GlueGen: com.jogamp.common.util.IntLongHashMap.Entry Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Public Attributes | List of all members
com.jogamp.common.util.IntLongHashMap.Entry Class Reference

An entry mapping a key to a value. More...

Collaboration diagram for com.jogamp.common.util.IntLongHashMap.Entry:

## Public Member Functions

int | getKey ()
| Returns the key of this entry. More...
long | getValue ()
| Returns the value of this entry. More...
void | setValue (final long value)
| Sets the value for this entry. More...
StringBuilder | toString (StringBuilder sb)
String | toString ()

## Public Attributes

final int | key
long | value

## Detailed Description

An entry mapping a key to a value.

Definition at line 449 of file IntLongHashMap.java.

## Member Function Documentation

## ◆ getKey()

int com.jogamp.common.util.IntLongHashMap.Entry.getKey | ( |  | ) |

Returns the key of this entry.

Definition at line 465 of file IntLongHashMap.java.

## ◆ getValue()

long com.jogamp.common.util.IntLongHashMap.Entry.getValue | ( |  | ) |

Returns the value of this entry.

Definition at line 472 of file IntLongHashMap.java.

## ◆ setValue()

void com.jogamp.common.util.IntLongHashMap.Entry.setValue | ( | final long | value | ) |

Sets the value for this entry.

Definition at line 479 of file IntLongHashMap.java.

## ◆ toString() [1/2]

String com.jogamp.common.util.IntLongHashMap.Entry.toString | ( |  | ) |

Definition at line 496 of file IntLongHashMap.java.

## ◆ toString() [2/2]

StringBuilder com.jogamp.common.util.IntLongHashMap.Entry.toString | ( | StringBuilder | sb | ) |

Parameters

  sb | if null, a new StringBuilder is created

Returns
  StringBuilder instance with appended string information of this Entry

Definition at line 487 of file IntLongHashMap.java.

## Member Data Documentation

## ◆ key

final int com.jogamp.common.util.IntLongHashMap.Entry.key

Definition at line 451 of file IntLongHashMap.java.

## ◆ value

long com.jogamp.common.util.IntLongHashMap.Entry.value

Definition at line 452 of file IntLongHashMap.java.

The documentation for this class was generated from the following file:

- build/gensrc/java/com/jogamp/common/util/IntLongHashMap.java